unit main;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls;

type
  TfMain = class(TForm)
    leBase: TLabeledEdit;
    leNumber: TLabeledEdit;
    leText: TLabeledEdit;
    BtnToString: TButton;
    btnToNumber: TButton;
    procedure btnToNumberClick(Sender: TObject);
    procedure BtnToStringClick(Sender: TObject);
  end;

var
  fMain: TfMain;

implementation
uses
  Convertor;

{$R *.dfm}

procedure TfMain.BtnToStringClick(Sender: TObject);
var
  Convertor: TNumericConvertor;
begin
  Convertor := TNumericConvertor.Create(StrToInt(leBase.Text));
  leText.Text := Convertor.ToString(StrToInt(leNumber.Text));
end;

procedure TfMain.btnToNumberClick(Sender: TObject);
var
  Convertor: TNumericConvertor;
begin
  Convertor := TNumericConvertor.Create(StrToInt(leBase.Text));
  leNumber.Text := IntToStr(Convertor.ToNumber(leText.Text));
end;

end.
